<script setup>
import { Link } from "@inertiajs/vue3";

const navigations = [
    {
        name:'Главная',
        route:route('admin.dashboard'),
    },
    {
        name:'Игры',
        route:route('admin.games.index'),
    },
    {
        name:'Слайдер',
        route:route('admin.sliders.index'),
    },
    {
        name:'Посты',
        route:route('admin.posts.index'),
    },
    {
        name:'Предметы',
        route:route('admin.items.index'),
    }
];
</script>

<template>
    <body>

    <header class="navbar navbar-dark sticky-top bg-dark flex-md-nowrap p-0 shadow">
        <Link class="navbar-brand col-md-3 col-lg-2 me-0 px-3" :href="route('admin.dashboard')">Game Market</Link>
        <button class="navbar-toggler position-absolute d-md-none collapsed" type="button"
                data-bs-toggle="collapse" data-bs-target="#sidebarMenu"
                aria-controls="sidebarMenu" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
<!--        <input class="form-control form-control-dark w-100" type="text" placeholder="Search" aria-label="Search">-->
        <div class="navbar-nav">
            <div class="nav-item text-nowrap">
                <Link  class="nav-link px-3" method="post" :href="route('admin.logout')">Выход</Link>
            </div>
        </div>
    </header>

    <div class="container-fluid">
        <div class="row">
            <nav id="sidebarMenu" class="col-md-3 col-lg-2 d-md-block bg-light sidebar collapse">
                <div class="position-sticky pt-3">
                    <ul class="nav flex-column">

                        <li class="nav-item">
                          <Link v-for="nav in navigations"
                            :href="nav.route"
                            class="nav-link"
                          >
                            {{ nav.name }}
                          </Link>
                        </li>

                    </ul>

<!--                    <h6 class="sidebar-heading d-flex justify-content-between align-items-center px-3 mt-4 mb-1 text-muted">-->
<!--                        <span>Saved reports</span>-->
<!--                        <a class="link-secondary" href="#" aria-label="Add a new report">-->
<!--                            <span data-feather="plus-circle"></span>-->
<!--                        </a>-->
<!--                    </h6>-->
                </div>
            </nav>
            <main class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
                <slot/>
            </main>
        </div>
    </div>
    </body>
</template>


